Bug 1896905 - Route with `haproxy.router.openshift.io/timeout: 365d` kills the ingress controller
Summary: Route with `haproxy.router.openshift.io/timeout: 365d` kills the ingress cont...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.6.z
Assignee: Stephen Greene
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1861383
Blocks: 1896914
TreeView+ depends on / blocked
 
Reported: 2020-11-11 19:56 UTC by OpenShift BugZilla Robot
Modified: 2021-11-02 15:35 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1896914 (view as bug list)
Environment:
Last Closed: 2020-11-30 16:46:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift router pull 217 0 None closed [release-4.6] Bug 1896905: Clip haproxy.router.openshift.io/timeout annotation values to prevent bricking on upgrade 2020-12-07 21:27:18 UTC
Red Hat Product Errata RHBA-2020:5115 0 None None None 2020-11-30 16:46:29 UTC

Comment 2 Hongan Li 2020-11-17 08:04:22 UTC
Verified with a cluster (4.6.0-0.ci.test-2020-11-17-064446-ci-ln-01jzfzt) launched by cluster-bot and passed.

# oc annotate route edgeroute haproxy.router.openshift.io/timeout=100d
route.route.openshift.io/edgeroute annotated

# oc get route edgeroute -oyaml
apiVersion: route.openshift.io/v1
kind: Route
metadata:
  annotations:
    haproxy.router.openshift.io/timeout: 100d


# oc -n openshift-ingress exec router-default-c9ccc9f7-5m9pn -- cat haproxy.config
<---snip--->
# Plain http backend or backend with TLS terminated at the edge or a
# secure backend with re-encryption.
backend be_edge_http:hongli1:edgeroute
  mode http
  option redispatch
  option forwardfor
  balance leastconn
  timeout server  2147483647ms

sh-4.4$ rpm -qa | grep haproxy
haproxy20-2.0.16-3.el8.x86_64

Comment 6 errata-xmlrpc 2020-11-30 16:46:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5115


Note You need to log in before you can comment on or make changes to this bug.